<?php
/**
 * plugin redXingButton
 * @version 0.0.1
 * @package redXingButton
 * @copyright Copyright (c) 2015 red moskito - web solutions, http://www.redmoskito.de
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 */

defined('_JEXEC') or die;

jimport('joomla.plugin.plugin');

class plgContentredXingButtonFollow extends JPlugin {
    
    public function __construct(& $subject, $config) {
        parent::__construct($subject, $config);
        $this->loadLanguage();
    }

    public function onContentPrepare($context, &$article, &$params, $limitstart) {
	$regex = '/{red_xingfollowbutton\s*(.*?)}/i';
	$article->text = preg_replace_callback($regex,array($this,"form"), $article->text);
    return true;
    }
    
    public function form($matches) {
	$string = $matches[1];
        $params = explode('|',$string);
/* to do 
        foreach ($params as $param) {
        }
*/

        // language
        $lang = $this->params->get('lang',"lang-1");
        switch ($lang) {
            case "lang-0": // en
                $lang = '';
                break;
            case "lang-1": // de
                $lang = 'data-lang="de"';
                break;
            case "lang-2": // auto
                $lang =& JFactory::getLanguage();
                $language = $lang->getLocale();
                $lang = 'data-lang="' . $language[7] .'"';
                break;
            default:
                $lang = '';
        }

        // style
        $style = $this->params->get('style',"type-0");
        switch ($style) {
            case "type-0":
                $style = 'data-counter="right"';
                break;
            case "type-1":
                $style = '';
                break;
            default:
                $style = 'data-counter="right"';
        }
        
        // url
        $xingurl = $this->params->get('xingurl','');
        if ($xingurl != '') { $xingurl = 'data-url="'.$xingurl.'"'; }

/*
        echo "<pre>";
        var_dump($lang);
        var_dump($style);
        var_dump($xingurl);
        echo "</pre>";
*/

        $output = '
        <script '. $xingurl .' '. $lang .' '. $style .' data-type="xing/follow"></script>
        <script>
            ;(function (d, s) {
                var x = d.createElement(s),
                s = d.getElementsByTagName(s)[0];
                x.src = "https://www.xing-share.com/plugins/follow.js";
                s.parentNode.insertBefore(x, s);
                })(document, "script");
        </script>';
        
        return $output;
    }
}